XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xevie.h
1 /*
2 * This file generated automatically from xevie.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XEVIE_H
13 #define __XEVIE_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_XEVIE_MAJOR_VERSION 1
22 #define XCB_XEVIE_MINOR_VERSION 0
23
24 extern xcb_extension_t xcb_xevie_id;
25
29 typedef struct xcb_xevie_query_version_cookie_t {
30 unsigned int sequence;
31 } xcb_xevie_query_version_cookie_t;
32
34 #define XCB_XEVIE_QUERY_VERSION 0
35
39 typedef struct xcb_xevie_query_version_request_t {
40 uint8_t major_opcode;
41 uint8_t minor_opcode;
42 uint16_t length;
43 uint16_t client_major_version;
44 uint16_t client_minor_version;
45 } xcb_xevie_query_version_request_t;
46
50 typedef struct xcb_xevie_query_version_reply_t {
51 uint8_t response_type;
52 uint8_t pad0;
53 uint16_t sequence;
54 uint32_t length;
55 uint16_t server_major_version;
56 uint16_t server_minor_version;
57 uint8_t pad1[20];
58 } xcb_xevie_query_version_reply_t;
59
63 typedef struct xcb_xevie_start_cookie_t {
64 unsigned int sequence;
65 } xcb_xevie_start_cookie_t;
66
68 #define XCB_XEVIE_START 1
69
73 typedef struct xcb_xevie_start_request_t {
74 uint8_t major_opcode;
75 uint8_t minor_opcode;
76 uint16_t length;
77 uint32_t screen;
78 } xcb_xevie_start_request_t;
79
83 typedef struct xcb_xevie_start_reply_t {
84 uint8_t response_type;
85 uint8_t pad0;
86 uint16_t sequence;
87 uint32_t length;
88 uint8_t pad1[24];
89 } xcb_xevie_start_reply_t;
90
94 typedef struct xcb_xevie_end_cookie_t {
95 unsigned int sequence;
96 } xcb_xevie_end_cookie_t;
97
99 #define XCB_XEVIE_END 2
100
104 typedef struct xcb_xevie_end_request_t {
105 uint8_t major_opcode;
106 uint8_t minor_opcode;
107 uint16_t length;
108 uint32_t cmap;
109 } xcb_xevie_end_request_t;
110
114 typedef struct xcb_xevie_end_reply_t {
115 uint8_t response_type;
116 uint8_t pad0;
117 uint16_t sequence;
118 uint32_t length;
119 uint8_t pad1[24];
120 } xcb_xevie_end_reply_t;
121
122 typedef enum xcb_xevie_datatype_t {
123 XCB_XEVIE_DATATYPE_UNMODIFIED,
124 XCB_XEVIE_DATATYPE_MODIFIED
125 } xcb_xevie_datatype_t;
126
130 typedef struct xcb_xevie_event_t {
131 uint8_t pad0[32];
132 } xcb_xevie_event_t;
133
137 typedef struct xcb_xevie_event_iterator_t {
138 xcb_xevie_event_t *data;
139 int rem;
140 int index;
141 } xcb_xevie_event_iterator_t;
142
146 typedef struct xcb_xevie_send_cookie_t {
147 unsigned int sequence;
148 } xcb_xevie_send_cookie_t;
149
151 #define XCB_XEVIE_SEND 3
152
156 typedef struct xcb_xevie_send_request_t {
157 uint8_t major_opcode;
158 uint8_t minor_opcode;
159 uint16_t length;
160 xcb_xevie_event_t event;
161 uint32_t data_type;
162 uint8_t pad0[64];
163 } xcb_xevie_send_request_t;
164
168 typedef struct xcb_xevie_send_reply_t {
169 uint8_t response_type;
170 uint8_t pad0;
171 uint16_t sequence;
172 uint32_t length;
173 uint8_t pad1[24];
174 } xcb_xevie_send_reply_t;
175
179 typedef struct xcb_xevie_select_input_cookie_t {
180 unsigned int sequence;
181 } xcb_xevie_select_input_cookie_t;
182
184 #define XCB_XEVIE_SELECT_INPUT 4
185
189 typedef struct xcb_xevie_select_input_request_t {
190 uint8_t major_opcode;
191 uint8_t minor_opcode;
192 uint16_t length;
193 uint32_t event_mask;
194 } xcb_xevie_select_input_request_t;
195
199 typedef struct xcb_xevie_select_input_reply_t {
200 uint8_t response_type;
201 uint8_t pad0;
202 uint16_t sequence;
203 uint32_t length;
204 uint8_t pad1[24];
205 } xcb_xevie_select_input_reply_t;
206
216 /*****************************************************************************
217 **
218 ** xcb_xevie_query_version_cookie_t xcb_xevie_query_version
219 **
220 ** @param xcb_connection_t *c
221 ** @param uint16_t client_major_version
222 ** @param uint16_t client_minor_version
223 ** @returns xcb_xevie_query_version_cookie_t
224 **
225 *****************************************************************************/
226
227 xcb_xevie_query_version_cookie_t
228 xcb_xevie_query_version (xcb_connection_t *c ,
229 uint16_t client_major_version ,
230 uint16_t client_minor_version );
231
244 /*****************************************************************************
245 **
246 ** xcb_xevie_query_version_cookie_t xcb_xevie_query_version_unchecked
247 **
248 ** @param xcb_connection_t *c
249 ** @param uint16_t client_major_version
250 ** @param uint16_t client_minor_version
251 ** @returns xcb_xevie_query_version_cookie_t
252 **
253 *****************************************************************************/
254
255 xcb_xevie_query_version_cookie_t
256 xcb_xevie_query_version_unchecked (xcb_connection_t *c ,
257 uint16_t client_major_version ,
258 uint16_t client_minor_version );
259
275 /*****************************************************************************
276 **
277 ** xcb_xevie_query_version_reply_t * xcb_xevie_query_version_reply
278 **
279 ** @param xcb_connection_t *c
280 ** @param xcb_xevie_query_version_cookie_t cookie
281 ** @param xcb_generic_error_t **e
282 ** @returns xcb_xevie_query_version_reply_t *
283 **
284 *****************************************************************************/
285
286 xcb_xevie_query_version_reply_t *
287 xcb_xevie_query_version_reply (xcb_connection_t *c ,
288 xcb_xevie_query_version_cookie_t cookie ,
289 xcb_generic_error_t **e );
290
300 /*****************************************************************************
301 **
302 ** xcb_xevie_start_cookie_t xcb_xevie_start
303 **
304 ** @param xcb_connection_t *c
305 ** @param uint32_t screen
306 ** @returns xcb_xevie_start_cookie_t
307 **
308 *****************************************************************************/
309
310 xcb_xevie_start_cookie_t
311 xcb_xevie_start (xcb_connection_t *c ,
312 uint32_t screen );
313
326 /*****************************************************************************
327 **
328 ** xcb_xevie_start_cookie_t xcb_xevie_start_unchecked
329 **
330 ** @param xcb_connection_t *c
331 ** @param uint32_t screen
332 ** @returns xcb_xevie_start_cookie_t
333 **
334 *****************************************************************************/
335
336 xcb_xevie_start_cookie_t
337 xcb_xevie_start_unchecked (xcb_connection_t *c ,
338 uint32_t screen );
339
355 /*****************************************************************************
356 **
357 ** xcb_xevie_start_reply_t * xcb_xevie_start_reply
358 **
359 ** @param xcb_connection_t *c
360 ** @param xcb_xevie_start_cookie_t cookie
361 ** @param xcb_generic_error_t **e
362 ** @returns xcb_xevie_start_reply_t *
363 **
364 *****************************************************************************/
365
366 xcb_xevie_start_reply_t *
367 xcb_xevie_start_reply (xcb_connection_t *c ,
368 xcb_xevie_start_cookie_t cookie ,
369 xcb_generic_error_t **e );
370
380 /*****************************************************************************
381 **
382 ** xcb_xevie_end_cookie_t xcb_xevie_end
383 **
384 ** @param xcb_connection_t *c
385 ** @param uint32_t cmap
386 ** @returns xcb_xevie_end_cookie_t
387 **
388 *****************************************************************************/
389
390 xcb_xevie_end_cookie_t
391 xcb_xevie_end (xcb_connection_t *c ,
392 uint32_t cmap );
393
406 /*****************************************************************************
407 **
408 ** xcb_xevie_end_cookie_t xcb_xevie_end_unchecked
409 **
410 ** @param xcb_connection_t *c
411 ** @param uint32_t cmap
412 ** @returns xcb_xevie_end_cookie_t
413 **
414 *****************************************************************************/
415
416 xcb_xevie_end_cookie_t
417 xcb_xevie_end_unchecked (xcb_connection_t *c ,
418 uint32_t cmap );
419
435 /*****************************************************************************
436 **
437 ** xcb_xevie_end_reply_t * xcb_xevie_end_reply
438 **
439 ** @param xcb_connection_t *c
440 ** @param xcb_xevie_end_cookie_t cookie
441 ** @param xcb_generic_error_t **e
442 ** @returns xcb_xevie_end_reply_t *
443 **
444 *****************************************************************************/
445
446 xcb_xevie_end_reply_t *
447 xcb_xevie_end_reply (xcb_connection_t *c ,
448 xcb_xevie_end_cookie_t cookie ,
449 xcb_generic_error_t **e );
450
460 /*****************************************************************************
461 **
462 ** void xcb_xevie_event_next
463 **
464 ** @param xcb_xevie_event_iterator_t *i
465 ** @returns void
466 **
467 *****************************************************************************/
468
469 void
470 xcb_xevie_event_next (xcb_xevie_event_iterator_t *i );
471
482 /*****************************************************************************
483 **
484 ** xcb_generic_iterator_t xcb_xevie_event_end
485 **
486 ** @param xcb_xevie_event_iterator_t i
487 ** @returns xcb_generic_iterator_t
488 **
489 *****************************************************************************/
490
491 xcb_generic_iterator_t
492 xcb_xevie_event_end (xcb_xevie_event_iterator_t i );
493
503 /*****************************************************************************
504 **
505 ** xcb_xevie_send_cookie_t xcb_xevie_send
506 **
507 ** @param xcb_connection_t *c
508 ** @param xcb_xevie_event_t event
509 ** @param uint32_t data_type
510 ** @returns xcb_xevie_send_cookie_t
511 **
512 *****************************************************************************/
513
514 xcb_xevie_send_cookie_t
515 xcb_xevie_send (xcb_connection_t *c ,
516 xcb_xevie_event_t event ,
517 uint32_t data_type );
518
531 /*****************************************************************************
532 **
533 ** xcb_xevie_send_cookie_t xcb_xevie_send_unchecked
534 **
535 ** @param xcb_connection_t *c
536 ** @param xcb_xevie_event_t event
537 ** @param uint32_t data_type
538 ** @returns xcb_xevie_send_cookie_t
539 **
540 *****************************************************************************/
541
542 xcb_xevie_send_cookie_t
543 xcb_xevie_send_unchecked (xcb_connection_t *c ,
544 xcb_xevie_event_t event ,
545 uint32_t data_type );
546
562 /*****************************************************************************
563 **
564 ** xcb_xevie_send_reply_t * xcb_xevie_send_reply
565 **
566 ** @param xcb_connection_t *c
567 ** @param xcb_xevie_send_cookie_t cookie
568 ** @param xcb_generic_error_t **e
569 ** @returns xcb_xevie_send_reply_t *
570 **
571 *****************************************************************************/
572
573 xcb_xevie_send_reply_t *
574 xcb_xevie_send_reply (xcb_connection_t *c ,
575 xcb_xevie_send_cookie_t cookie ,
576 xcb_generic_error_t **e );
577
587 /*****************************************************************************
588 **
589 ** xcb_xevie_select_input_cookie_t xcb_xevie_select_input
590 **
591 ** @param xcb_connection_t *c
592 ** @param uint32_t event_mask
593 ** @returns xcb_xevie_select_input_cookie_t
594 **
595 *****************************************************************************/
596
597 xcb_xevie_select_input_cookie_t
598 xcb_xevie_select_input (xcb_connection_t *c ,
599 uint32_t event_mask );
600
613 /*****************************************************************************
614 **
615 ** xcb_xevie_select_input_cookie_t xcb_xevie_select_input_unchecked
616 **
617 ** @param xcb_connection_t *c
618 ** @param uint32_t event_mask
619 ** @returns xcb_xevie_select_input_cookie_t
620 **
621 *****************************************************************************/
622
623 xcb_xevie_select_input_cookie_t
624 xcb_xevie_select_input_unchecked (xcb_connection_t *c ,
625 uint32_t event_mask );
626
642 /*****************************************************************************
643 **
644 ** xcb_xevie_select_input_reply_t * xcb_xevie_select_input_reply
645 **
646 ** @param xcb_connection_t *c
647 ** @param xcb_xevie_select_input_cookie_t cookie
648 ** @param xcb_generic_error_t **e
649 ** @returns xcb_xevie_select_input_reply_t *
650 **
651 *****************************************************************************/
652
653 xcb_xevie_select_input_reply_t *
654 xcb_xevie_select_input_reply (xcb_connection_t *c ,
655 xcb_xevie_select_input_cookie_t cookie ,
656 xcb_generic_error_t **e );
657
658
659 #ifdef __cplusplus
660 }
661 #endif
662
663 #endif
664